/**
 * An element which displays the setup and management workflow for a custom git trigger.
 */
angular.module('quay').directive('manageTriggerCustomGit', function () {
  var directiveDefinitionObject = {
    priority: 0,
    templateUrl: '/static/directives/manage-trigger-custom-git.html',
    replace: false,
    transclude: true,
    restrict: 'C',
    scope: {
      'trigger': '=trigger',
      'activateTrigger': '&activateTrigger'
    },
    controller: function($scope, $element) {
      $scope.config = {};
      $scope.currentState = null;

      $scope.$watch('trigger', function(trigger) {
        if (trigger) {
          $scope.config = trigger['config'] || {};
        }
      });
    }
  };
  return directiveDefinitionObject;
});